.legents-box {
  font-weight: 500;
  width: 236px;
  margin-right: 30px;
  max-width: 236px;
  min-width: 236px;
  .legent-data {
    margin: 2px 0 0 20px;
    display: flex;
    .square-border {
      width: 20px;
      height: 15px;
      margin: 0 5px 0 0;
    }
    .border-yello {
      border: 2px solid yellow;
      background: #ffff0024;
    }

    .border-white {
      border: solid 1px #c3cbce;
    }
  }
}

.product-data-section {
  display: flex;
  flex-direction: column;
  background-color: white;

  .po-no-data {
    margin: 10px 0;
    font-size: var(--font-l);
  }

  .detail-title {
    padding-bottom: 5px;
    font-size: var(--font-xs);
    font-weight: 500;
    font-stretch: normal;
    font-style: normal;
    line-height: 1.25;
    letter-spacing: normal;
    text-align: left;
    color: #4e585c;
  }

  .config {
    padding-top: 5px;
    cursor: pointer;
    font-family: Montserrat;
    font-size: var(--font-m);
    font-weight: 500;
    color: var(--primary);
    font-stretch: normal;
    font-style: normal;
    line-height: 1.25;
    letter-spacing: normal;
  }

  .select-all-rows {
    display: flex;
    align-items: center;
    margin-top: 5px;

    .selection {
      padding-bottom: 0;
    }

    .checkbox-section {
      display: flex;
      margin: 0 20px;
      flex-wrap: wrap;
      row-gap: 5px;
      column-gap: 10px;
    }

    .checkbox-holder {
      padding-bottom: 0;
      font-size: var(--font-m);
      margin-top: 0px;
    }

    .selection-count {
      padding-bottom: 0;
      font-size: var(--font-m);
      padding-left: 15px;
      color: var(--primary);
      margin-top: 5px;
    }

    .search-order-tracking {
      margin: 0;
      .field__label {
        display: none !important;
      }
      .field__input.row {
        background: white;
      }
      span.field__error {
        display: none;
      }
    }

    .search-order-tracking-outside {
      padding: 0;
      width: 250px;
      margin-left: 12px;
      margin-top: 5px;
    }
  }

  .section-title {
    width: 175px;
    min-width: 175px;
    font-size: var(--font-m);
    font-weight: 500;
    font-stretch: normal;
    font-style: normal;
    line-height: 1.29;
    letter-spacing: normal;
    text-align: left;
    color: #001f2b;
    padding-left: 30px;
    margin-top: 5px;
  }

  .product-details-container {
    display: flex;
    flex-direction: column;
    padding: 20px 20px;
    border: solid 1px #c3cbce;
    margin: 10px 30px;
    padding: 10px 15px;
    padding-bottom: 0px;
    .ingram-tooltip {
      margin: 0 0 0 -1px;
      display: inline;
      width: 10px;
      cursor: pointer;
    }
  }
  .product-details-container.shipped-quantity {
    border: 2px solid yellow;
    background: #ffff0024;
    .product-qty-section {
      width: 514px;
    }
  }

  .selected {
    border: solid 1px #00a0dc;
  }

  .product-detail {
    display: flex;
    flex-direction: row;
    justify-content: space-between;

    .product-data {
      font-size: var(--font-m);
      font-weight: 500;
      font-stretch: normal;
      font-style: normal;
      line-height: 1.29;
      letter-spacing: normal;
      // text-align: left;
      color: #001f2b;
    }

    .purchased-qty,
    .shipped-qty {
      width: 50px;
      margin-left: 10px;
      border-radius: 4px;
    }
  }

  .top-secton {
    padding-bottom: 8px;
    border-bottom: solid 1px #c3cbce;
    justify-content: normal;

    .product-id {
      flex-grow: 1;
      .checkbox-holder {
        margin: -5px 0 0;
        .checkbox__content {
          margin-left: 8px;
        }
      }
    }

    .product-desc {
      flex-grow: 1;
      padding: 0 15px;
    }

    .product-qty-section {
      display: flex;
      gap: 20px;
      width: 502px;
      min-width: 502px;
      .quantity-pending {
        background: #ff000033;
        text-align: center;
      }

      .quantity-shipped {
        background: #ddd0ed;
        text-align: center;
      }

      .quantity-received {
        background: #3c763d33;
        text-align: center;
      }
    }

    div.ph-product-qty-section {
      gap: 40px;
      width: 100px;
      min-width: 195px;
    }

    .add-config-or {
      display: flex;
      align-items: center;
      border-left: solid 1px #dce6ea;
      padding-left: 10px;
      margin-left: 15px;
      min-width: 145px;

      .config-tooltip-wrapper {
        margin-top: 3px;
        position: relative;
        .tooltip-body.row {
          position: absolute;
          z-index: 1;
          top: -100px;
          left: -80px;
          .custom-config-tooltip {
            width: 140px;
            font-family: Montserrat;
            font-size: 12px;
            font-weight: normal;
            font-stretch: normal;
            font-style: normal;
            line-height: 1.25;
            letter-spacing: normal;
            text-align: left;
            color: #333;
            z-index: 1;

            .title {
              font-weight: 600;
            }
          }
        }
      }

      .checkbox-holder {
        margin: 0px;
      }
    }

    .recieved-qty-actions {
      .or-action-item {
        width: 70px;
        height: 20px;
        border-radius: 2px;
        margin-right: 2px;
        cursor: pointer;
        border: solid 1px #dce6ea;
        background-color: #dce6ea;
        color: #808688;
        font-size: 14px;
        font-weight: 500;
        font-stretch: normal;
        font-style: normal;
        line-height: 1.2;
        text-align: center;
      }

      .active {
        border-radius: 2px;
        border: solid 1px #00a0dc;
        background-color: #00a0dc;
        color: white;
      }
    }

    .qty-action-tabs {
      display: flex;
    }

    .custom-recieved-qty {
      padding: 0px !important;
      margin-top: -16px;
      padding-left: 2px;
      width: 80px;
      div.row.field__input input:not([type="radio"]) {
        height: 22px;
        border-radius: 2px;
      }
    }
  }

  .middle-section {
    padding-top: 10px;
    padding-bottom: 15px;
    .mapped-carrier-container {
      .field-section {
        width: 130px;
      }
    }

    .field-section {
      padding: 0px;
      span.field__error {
        display: none;
      }
      div.row.field__label {
        display: none;
      }
      .field__input {
        textarea {
          height: 50px;
        }
      }
    }

    .tag-input {
      display: flex;
      flex-direction: column;
      flex: 0.4;

      .detail-title {
        padding-bottom: 5px;
        font-size: 12px;
        font-weight: 500;
        font-stretch: normal;
        font-style: normal;
        line-height: 1.25;
        letter-spacing: normal;
        text-align: left;
        color: #4e585c;
      }

      .react-tagsinput {
        .react-tagsinput-input {
          margin-top: 0;
          padding: 0;
        }

        .react-tagsinput-tag {
          padding: 0px;
          padding-left: 2px;
          padding-right: 2px;
        }
      }
    }
  }

  .bottom-section {
    padding-top: 8px;
    // padding-bottom: 25px;

    .mapped-carrier-container {
      .field-section {
        width: 130px;
      }
    }

    .field-section {
      padding: 0px;

      .field__input {
        textarea {
          height: 50px;
        }
      }
    }
  }
}
